aboutsummaryrefslogtreecommitdiff
path: root/twitch-stream.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2020-03-31 18:44:46 +0200
committerdec05eba <dec05eba@protonmail.com>2020-03-31 18:44:46 +0200
commit066f2b652c25687dbb1e51c9baa5f4c62140cf07 (patch)
treed3b65960b0c5c69b7564920c8477645231d5013e /twitch-stream.sh
parentc8f8ee5e680c7e10c981b317e9d13c0fc477d977 (diff)
Allow setting container format and fps
Diffstat (limited to 'twitch-stream.sh')
-rwxr-xr-xtwitch-stream.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/twitch-stream.sh b/twitch-stream.sh
index 0be4d12..3c10544 100755
--- a/twitch-stream.sh
+++ b/twitch-stream.sh
@@ -1,4 +1,4 @@
#!/bin/sh
-[ "$#" -ne 2 ] && echo "usage: twitch-stream.sh <window_id> <livestream_key>" && exit 1
-sibs build --release && ./sibs-build/linux_x86_64/release/hardware-screen-recorder "$1" "dummy.h264" | ffmpeg -i pipe:0 -c:v copy -f flv "rtmp://live.twitch.tv/app/$2"
+[ "$#" -ne 3 ] && echo "usage: twitch-stream.sh <window_id> <fps> <livestream_key>" && exit 1
+sibs build --release && ./sibs-build/linux_x86_64/release/hardware-screen-recorder "$1" h264 "$2" | ffmpeg -i pipe:0 -c:v copy -f flv "rtmp://live.twitch.tv/app/$3"